{
    "doc": "The genomic feature",
    "fields": [
        {
            "doc": "Feature Type",
            "name": "featureType",
            "type": [
                "null",
                {
                    "doc": "The feature types",
                    "name": "FeatureTypes",
                    "symbols": [
                        "regulatory_region",
                        "gene",
                        "transcript",
                        "protein"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Feature used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)",
            "name": "ensemblId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Others IDs. Fields like the HGNC symbol if available should be added here",
            "name": "xrefs",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "GenomicFeature",
    "namespace": "org.opencb.biodata.models.variant.avro",
    "type": "record"
}